lkwa201
922
2021-08-28 11:46:27 작성 2021-08-28 11:46:51 수정됨
7
896

책 하나 때문에 화가 나는 건 처음이네요


"스프링부트와 aws로 구현하는 웹서비스" 이 책을 보고 있는데 이 책 더 이상 못 봐주겠네요.

여럿 명명들과 평댓글을 보면 좋다고 하는데 문제가 너무 많네요.

책에서 해결 안되면 저자 깃헙가서 비교해서 봐야 하고, 깃헙에서도 해결 안되면 구글링 해야 하고 구글링해서도 해결 안되는게... 화가 나네요 이젠...


"스프링 인 액션 5판" 이 책 괜찮을까요? 목차구성 보니 꽉찬 느낌인데.. 오늘 서점가서 함 봐볼까 생각 중이네요... 전자 책은 구입한지 좀 되서 그냥 버려도 될꺼 같네요... 오타수정 전 책이라


0
  • 댓글 7

  • 아이원가습기
    557
    2021-08-28 12:08:31

    가능성

    1. 책이 잘못됨
    2. 내가 뭔가 틀림
    3. 버전이 다른데 안맞춤

  • lkwa201
    922
    2021-08-28 12:15:51

    아이원가습기

    1.책이 잘못됨, 3. 버전이 다른데 안맞춤

    저자 깃헙에 올려진 것과 소스코드의 차이가 있어요.

    다르면 신판으로 다시 출간을 해야 할 것 같은데 하지도 않고.

    책, 깃헙 그레이들 버전이 다르기도하고, 버전 맞췄는데도 에러가 있고,


    2. 내가 뭔가 틀림

    처음엔 한 자, 한 자 책 보고 똑같이 쳤네요, 에러 발생, 깃헙에 찾아가서 똑같이 구현. 일부는 정상동작하고 일부는 에러 발생...여기부터 구글링하면 설정 방식이 다르게 나와요. 구글링 통해서 수정하면 되요. 참 신기하죠? 그런데! 고친건 되고, 되고 있던게 안돼요 ㅋㅋㅋㅋㅋㅋㅋㅋㅋㅋㅋㅋ


  • Mambo
    6k
    2021-08-28 13:05:37

    저자 분이 OKKY 운영회원이었던 것 같은데 지금도 활동중이신지는 모르겠네요.

    따라하기 예제로 진행하는 책의 경우 사소한 오타라도 정상 동작하지 않을 가능성이 있고 책을 주로 쓰던 사람이 아니라면 신판을 낼 여유가 있지 않을 수 있어요.

    책이 나온 시점과 현 시점에 OS 환경, IDE 버전, 라이브러리 버전이 같다는 보장이 없기 때문에 오류가 날 가능성이 큽니다... 따라하는 예제가 포함되는 개발 서적의 경우 최근에 나온 책을 보시는게 낫습니다.

  • 밥도둑계장
    799
    2021-08-28 14:17:28

    Springboot 버전 확인해보세요.

    Gradle 버전이랑


  • DevAndy
    251
    2021-08-28 14:19:38 작성 2021-08-28 14:20:06 수정됨

    저도 그 책을 읽고 간단한 프로젝트도 해봤는데요, 책이 잘못되었다기 보다 벌써 출판된지 2년이지난만큼 버전이 안맞아서 발생하는 오류들이 있습니다. 저장소(git)에 가면 많은 이슈들이 등록되어 있는데 거기서 해결될수 있습니다.

    혹시 저장소의 이슈로 해결이 안된다면 천천히 시간을 가지시면서 먼저 해결해보신후 다른 분들을 위해 이슈를 등록하시는건 어떨까요?

  • seojjin
    43
    2021-08-28 15:31:51

    저도 그 책 읽었는데 버전이나 이것저것 이슈가 있긴 했는데 깃헙 가서 찾다보니 대부분 금방 해결되더라구요 

    개발 서적은 기본 개념서 아닌 이상 자주 바뀌어서.. 어쩔 수 없다고 생각합니당

  • lkwa201
    922
    2021-08-29 19:03:27

    해당 책을 새로 사서 보니 코드들이 조금씩 다르더라고요. 새로 구입한 책으로 다시 공부해봐야 할 것 같습니다.

  • 로그인을 하시면 댓글을 등록할 수 있습니다.